classification
Title: UNICODE HOWTO: Change the total number of code points in the introduction section
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: amaajemyfren, benjamin.peterson, docs@python, miss-islington
Priority: normal Keywords: patch

Created on 2020-04-03 03:01 by amaajemyfren, last changed 2020-04-07 04:16 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 19328 merged amaajemyfren, 2020-04-03 03:31
PR 19406 closed miss-islington, 2020-04-07 04:16
Messages (2)
msg365672 - (view) Author: Ama Aje My Fren (amaajemyfren) * Date: 2020-04-03 03:01
The dev version of CPython gets the latest version of Unicode integrated to it regularly - and usually within dates of the latest version of Unicode coming out.

The Unicode HOWTO documentation has a line in the introduction that refers to the number of Unicode code points assigned so far. This document does not appear to be changed to concur with the number of actual code points supported by CPython or the latest standard by Unicode, Inc (http://www.unicode.org/versions/latest/#Summary).

I propose that a change be done to reflect the current number of code points.
msg365888 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2020-04-07 04:16
New changeset 8ea10a94463f1ea217bcaef86f2ebd9d43240b4e by amaajemyfren in branch 'master':
closes bpo-40166: Change Unicode Howto so that it does not have a specific number of assigned code points. (GH-19328)
https://github.com/python/cpython/commit/8ea10a94463f1ea217bcaef86f2ebd9d43240b4e
History
Date User Action Args
2020-04-07 04:16:23miss-islingtonsetnosy: + miss-islington

pull_requests: + pull_request18767
2020-04-07 04:16:08benjamin.petersonsetstatus: open -> closed

nosy: + benjamin.peterson
messages: + msg365888

resolution: fixed
stage: patch review -> resolved
2020-04-04 11:49:12amaajemyfrensettype: enhancement
2020-04-03 03:31:31amaajemyfrensetkeywords: + patch
stage: patch review
pull_requests: + pull_request18693
2020-04-03 03:01:10amaajemyfrencreate